> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.meshapi.ai/llms.txt.
> For full documentation content, see https://developers.meshapi.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.meshapi.ai/_mcp/server.

# List Paid Models

GET https://api.meshapi.ai/v1/models/paid

Shortcut: list only models that have a non-zero cost.

Reference: https://developers.meshapi.ai/api-reference/mesh-api/models/list-paid-models-v-1-models-paid-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi
  version: 1.0.0
paths:
  /v1/models/paid:
    get:
      operationId: list-paid-models-v-1-models-paid-get
      summary: List Paid Models
      description: 'Shortcut: list only models that have a non-zero cost.'
      tags:
        - subpackage_models
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ModelOut'
servers:
  - url: https://api.meshapi.ai
components:
  schemas:
    ModelPricing:
      type: object
      properties:
        prompt_usd_per_1k:
          type:
            - string
            - 'null'
        completion_usd_per_1k:
          type:
            - string
            - 'null'
        prompt_usd_per_1m:
          type:
            - string
            - 'null'
        completion_usd_per_1m:
          type:
            - string
            - 'null'
        image_usd_per_image:
          type:
            - string
            - 'null'
        audio_input_usd_per_1m:
          type:
            - string
            - 'null'
        audio_output_usd_per_1m:
          type:
            - string
            - 'null'
        cached_audio_input_usd_per_1m:
          type:
            - string
            - 'null'
        cached_text_input_usd_per_1m:
          type:
            - string
            - 'null'
        discount_pct:
          type:
            - string
            - 'null'
        prompt_usd_per_1k_discounted:
          type:
            - string
            - 'null'
        completion_usd_per_1k_discounted:
          type:
            - string
            - 'null'
        prompt_usd_per_1m_discounted:
          type:
            - string
            - 'null'
        completion_usd_per_1m_discounted:
          type:
            - string
            - 'null'
      required:
        - prompt_usd_per_1k
        - completion_usd_per_1k
      title: ModelPricing
    ModelOut:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        provider:
          type:
            - string
            - 'null'
        context_length:
          type:
            - integer
            - 'null'
        is_free:
          type: boolean
        pricing:
          $ref: '#/components/schemas/ModelPricing'
        description:
          type:
            - string
            - 'null'
        supports_thinking:
          type: boolean
        supports_completions_api:
          type: boolean
        supports_responses_api:
          type: boolean
        supports_realtime:
          type: boolean
          default: false
        model_type:
          type: string
        input_modalities:
          type: array
          items:
            type: string
        output_modalities:
          type: array
          items:
            type: string
        is_composite:
          type: boolean
          default: false
        composite_models:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - id
        - name
        - context_length
        - is_free
        - pricing
        - supports_thinking
        - supports_completions_api
        - supports_responses_api
        - model_type
        - input_modalities
        - output_modalities
      title: ModelOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.meshapi.ai/v1/models/paid"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meshapi.ai/v1/models/paid';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meshapi.ai/v1/models/paid"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meshapi.ai/v1/models/paid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meshapi.ai/v1/models/paid")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meshapi.ai/v1/models/paid', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meshapi.ai/v1/models/paid");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meshapi.ai/v1/models/paid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```